KShellProcess class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KShellProcess Class Reference

A class derived from KProcess to start child processes through a shell. More...

`#include <kprocess.h>`

Inheritance diagram for KShellProcess:

[legend]
Collaboration diagram for KShellProcess:

[legend]
List of all members.

## Public Member Functions
| KShellProcess (const char *shellname=0)
| Constructor.
| ~KShellProcess ()
| Destructor.
virtual bool | start (RunMode runmode=NotifyOnExit, Communication comm=NoCommunication)
| Starts up the process.
## Static Public Member Functions
QString | quote (const QString &arg)
| This function can be used to quote an argument string such that the shell processes it properly.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A class derived from KProcess to start child processes through a shell.

Deprecated:

This class is obsolete. Use KProcess and KProcess::setUseShell(true) instead.

Author:
  Christian Czezakte <e9025461@student.tuwien.ac.at>

Version:
  Id
    kprocess.h,v 1.60 2002/09/28 12:28:47 tjansen Exp

Definition at line 790 of file kprocess.h.

## Constructor & Destructor Documentation

KShellProcess::KShellProcess | ( | const char * | shellname = 0 | ) |

| Constructor. By specifying the name of a shell (like "/bin/bash") you can override the mechanism for finding a valid shell as described in KProcess::searchShell() Definition at line 914 of file kprocess.cpp. References KProcess::setUseShell().

KShellProcess::~KShellProcess | ( |  | ) |

| Destructor. Definition at line 921 of file kprocess.cpp.

## Member Function Documentation

bool KShellProcess::start | ( | RunMode | runmode = NotifyOnExit,
|  | Communication | comm = NoCommunication
| ) | `[virtual]`

| Starts up the process. -- For a detailed description have a look at the "start" member function and the detailed description of KProcess . Reimplemented from KProcess. Definition at line 929 of file kprocess.cpp. References KProcess::start().

QString KShellProcess::quote | ( | const QString & | arg | ) | `[static]`

| This function can be used to quote an argument string such that the shell processes it properly. This is e. g. necessary for user-provided file names which may contain spaces or quotes. It also prevents expansion of wild cards and environment variables. Reimplemented from KProcess. Definition at line 924 of file kprocess.cpp. References KProcess::quote().

The documentation for this class was generated from the following files:

- kprocess.h
- kprocess.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001